Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class EnterpriseDB

    java.lang.Object
      com.sun.mdm.index.ops.ObjectPersistenceService
          com.sun.mdm.index.ops.EnterpriseDB

All Implemented Interfaces:
  java.io.Serializable

public final class EnterpriseDB
extends ObjectPersistenceService

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`DATEFORMAT, DBDATEFORMAT`

Constructor Summary
`EnterpriseDB()` default constructor

Method Summary
`void` | `create(java.sql.Connection conn, java.lang.String euid, java.lang.String systemcode, java.lang.String lid)` Persists a new EUID-SystemObject-LocalID association into database.
`EnterpriseObject` | `get(java.sql.Connection conn, java.util.HashMap opsmap, java.lang.String euid, SystemObjectDB sysdb, SystemSBRDB sbrdb)` Retrieves an EUID-SystemCode-LocalID association from database by its EUID.
`void` | `remove(java.sql.Connection conn, java.lang.String euid, java.lang.String systemcode, java.lang.String lid)` Removes an existing EUID-SystemCode-LocalID association from database.
`void` | `update(java.sql.Connection conn, java.lang.String euid, java.lang.String systemcode, java.lang.String lid)` Updates an existing EUID-SystemCode-LocalID association in the database

Methods inherited from class com.sun.mdm.index.ops.ObjectPersistenceService
`addobject, addobject, addobject, addobject, addobject, addobject, finalize, getStatement, getValue, init, log, setParam, setParamBlob, setParamBlob, sql2str, strfmt`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseDB

    public EnterpriseDB()
                 throws OPSException

  default constructor

  Throws:
    `OPSException` - OPSException

Method Detail

### create

    public void create(java.sql.Connection conn,
                       java.lang.String euid,
                       java.lang.String systemcode,
                       java.lang.String lid)
                throws OPSException

  Persists a new EUID-SystemObject-LocalID association into database.

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
    `systemcode` - System Code.
    `lid` - Local ID.
  Throws:
    `OPSException` - if an error occurs.

### get

    public EnterpriseObject get(java.sql.Connection conn,
                                java.util.HashMap opsmap,
                                java.lang.String euid,
                                SystemObjectDB sysdb,
                                SystemSBRDB sbrdb)
                         throws OPSException

  Retrieves an EUID-SystemCode-LocalID association from database by its EUID.

  Parameters:
    `conn` - JDBC connection.
    `opsmap` - EntityObject ops.
    `euid` - EUID.
    `sysdb` - SystemObjectDB instance to access the database.
    `sbrdb` - SystemSBRDB instance to access the database.
  Returns:
    EnterpriseObject
  Throws:
    `OPSException` - if an error occurs.

### remove

    public void remove(java.sql.Connection conn,
                       java.lang.String euid,
                       java.lang.String systemcode,
                       java.lang.String lid)
                throws OPSException

  Removes an existing EUID-SystemCode-LocalID association from database.

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
    `systemcode` - System Code.
    `lid` - Local ID.
  Throws:
    `OPSException` - if an error occurs.

### update

    public void update(java.sql.Connection conn,
                       java.lang.String euid,
                       java.lang.String systemcode,
                       java.lang.String lid)
                throws OPSException

  Updates an existing EUID-SystemCode-LocalID association in the database

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
    `systemcode` - System Code.
    `lid` - Local ID.
  Throws:
    `OPSException` - if an error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.